<xsd:schema xmlns:xsd="http://www.w3.org/2001/XMLSchema">
<xsd:include schemaLocation="client.xsd"/>
<xsd:element name="searchresponse" type="searchres"/>
<xsd:complexType name="searchres">
  <xsd:sequence>
    <xsd:element name="destination" type="client" minOccurs="1" 
      maxOccurs="1"/>
    <xsd:element name="source" type="client" minOccurs="1" maxOccurs="1"/>
    <xsd:element name="requestid" type="xsd:nonNegativeInteger" minOccurs="1" 
      maxOccurs="1"/>
    <xsd:element name="searchfields" minOccurs="0" maxOccurs="1">
      <xsd:complexType>
        <xsd:sequence>
          <xsd:element name="value" type="xsd:string" minOccurs="1" 
            maxOccurs="unbounded">
            <xsd:attribute name="field" type="xsd:string" use="required"/>
          </xsd:element>
        </xsd:sequence>
        <xsd:attribute name="operation" use="optional" default="and">	
          <xsd:simpleType>
            <xsd:restriction base="xsd:string">
              <xsd:enmueration value="and"/>
              <xsd:enmueration value="or"/>
            </xsd:restriction>
          </xsd:simpleType>
        </xsd:attribute>
      </xsd:complexType>
    </xsd:element>
    <xsd:element name="foundnode" type="client" minOccurs="0" 
      maxOccurs="unbounded"/>
  </xsd:sequence>
</xsd:complexType>
</xsd:schema>
